# bigip_remote_user – Manages default settings for remote user accounts on a BIG-IP

New in version 2.9.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Manages default settings for remote user accounts on a BIG-IP.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

console_access
boolean

Choices:
- no
- yes

Enables or disables the default console access for all remote user accounts.
The default system value is `disabled`.

default_partition string |  | Specifies the default partition for all remote user accounts. The default system value is `all` for all partitions.

default_role
string

Choices:
- acceleration-policy-editor
- admin
- application-editor
- auditor
- certificate-manager
- firewall-manager
- fraud-protection-manager
- guest
- irule-manager
- manager
- no-access
- operator
- resource-admin
- user-manager
- web-application-security-administrator
- web-application-security-editor

Specifies the default role for all remote user accounts.
The default system value is `no-access`.

description string |  | User defined description.
provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.

transport
string

Choices:
- cli
- rest ←

Configures the transport connection to use when connecting to the remote device.

| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.

validate_certs
boolean

Choices:
- no
- yes ←

If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates.
You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.

## Notes

Note

- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.
- Requires BIG-IP software version >= 12.
- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Modify default partition and console access
      bigip_remote_user:
        default_partition: Common
        console_access: yes
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

    - name: Modify default role, partition and console access
      bigip_remote_user:
        default_partition: Common
        default_role: manager
        console_access: yes
        description: "Changed new settings"
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

    - name: Revert to default settings
      bigip_remote_user:
        default_partition: all
        default_role: "no-access"
        console_access: no
        description: ""
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
console_access boolean | changed | The default console access for all remote user accounts
default_partition string | changed | The default partition for all remote user accounts. Sample: Common
default_role string | changed | The default role for all remote user accounts. Sample: auditor
description string | changed | The user defined description. Sample: Foo is bar

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- Wojciech Wypior (@wojtek0806)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.